Data to be shown as a description.

### Hierarchy

- Description

## Index

### Properties

- link
- textTKey
- type

## Properties

### Optional link

link: { href: string; textTKey: string }

Optional link to be shown as part of the description, after the text.

#### Type declaration

- ##### href: string

  The URL of the link

- ##### textTKey: string

  Key used to pickup the string corresponding to the text of the link, from the strings JSON file.

### textTKey

textTKey: string

Key used to pickup the string corresponding to the text to be shown as part of the description, from the strings JSON file.

### type

type: DescriptionType

Generated using TypeDoc